light-mode-image
Learn
API ReferenceGeneral

Retrieve all RICALs

Analytics Events

ECOSYSTEM_RICAL_RETRIEVE_LIST_STARTECOSYSTEM_RICAL_RETRIEVE_LIST_SUCCESSECOSYSTEM_RICAL_RETRIEVE_LIST_FAIL
GET/v1/ecosystems/{ecosystemId}/ricals/public

Retrieves all RICALs available in the requested ecosystem.

The response is a JSON list of the published RICALs and their version identifiers. To download an actual RICAL file (a CBOR encoded file matching the RICAL format defined in ISO/IEC 18013-5), call the Retrieve specific RICAL or Retrieve latest RICAL endpoint.

This endpoint is intended for public consumption, and as such does not require authentication.

Analytic events

  • ECOSYSTEM_RICAL_RETRIEVE_LIST_START
  • ECOSYSTEM_RICAL_RETRIEVE_LIST_SUCCESS
  • ECOSYSTEM_RICAL_RETRIEVE_LIST_FAIL

Path Parameters

ecosystemId*string

The UUID of the ecosystem

Formatuuid

Query Parameters

limit?number

Range size of returned list.

Range1 <= value <= 1000
Default100
cursor?string

Starting point for the list of entries.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/ecosystems/497f6eca-6276-4993-bfeb-53cbbbba6f08/ricals/public"
{  "data": [    {      "ricalIssueID": 0,      "date": "2019-08-24T14:15:22Z",      "filename": "string",      "isAutoPublished": true    }  ],  "nextCursor": "string"}

How would you rate this page?